<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: field/helastic.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_00a13ab5e3afe633796d5c180ae90994.html">field</a>
  </div>
</div>
<div class="contents">
<h1>helastic.c File Reference</h1><code>#include &quot;<a class="el" href="field_8h_source.html">field.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for helastic.c:</div>
<div class="dynsection">
<div class="center"><img src="helastic_8c__incl.png" border="0" usemap="#field_2helastic_8c_map" alt=""/></div>
<map name="field_2helastic_8c_map" id="field_2helastic_8c">
<area shape="rect" id="node3" href="field_8h.html" title="field.h" alt="" coords="173,86,229,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="helastic_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="helastic_8c.html#a457b69d54035f68c1d79c43f2ca1fe0a">NPE</a>&nbsp;&nbsp;&nbsp;6</td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="helastic_8c.html#af12c767230bdb7467dd25210d5fefe50">ReadProp</a> (int n_prop)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="helastic_8c.html#a396340125882d5038a4dbdadc4468699">Helastic_Init</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="helastic_8c.html#a97e3d5671797656fb91afa5e61778e74">Helastic</a> (<a class="el" href="structGridData.html">GridData</a> *gdata, Vec VHtotsum)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="helastic_8c.html#a67380d67fc85c798265c8a83d73f5388">Helastic_Energy</a> (<a class="el" href="structGridData.html">GridData</a> *gdata, Vec VMom, PetscReal *energy)</td></tr>
</table>
<hr/><h2>Define Documentation</h2>
<a class="anchor" id="a457b69d54035f68c1d79c43f2ca1fe0a"></a><!-- doxytag: member="helastic.c::NPE" ref="a457b69d54035f68c1d79c43f2ca1fe0a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define NPE&nbsp;&nbsp;&nbsp;6</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="helastic_8c_source.html#l00034">34</a> of file <a class="el" href="helastic_8c_source.html">helastic.c</a>.</p>

<p>Referenced by <a class="el" href="helastic_8c_source.html#l00186">Helastic()</a>, and <a class="el" href="helastic_8c_source.html#l00038">ReadProp()</a>.</p>

</div>
</div>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a97e3d5671797656fb91afa5e61778e74"></a><!-- doxytag: member="helastic.c::Helastic" ref="a97e3d5671797656fb91afa5e61778e74" args="(GridData *gdata, Vec VHtotsum)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Helastic </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Vec&nbsp;</td>
          <td class="paramname"> <em>VHtotsum</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="helastic_8c_source.html#l00186">186</a> of file <a class="el" href="helastic_8c_source.html">helastic.c</a>.</p>

<p>References <a class="el" href="helastic_8c_source.html#l00105">Helastic_Init()</a>, <a class="el" href="griddata_8h_source.html#l00149">GridData::hscale</a>, <a class="el" href="griddata_8h_source.html#l00171">GridData::ln_vert</a>, <a class="el" href="griddata_8h_source.html#l00247">GridData::M</a>, <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, <a class="el" href="griddata_8h_source.html#l00083">MagparFunctionInfoReturn</a>, <a class="el" href="griddata_8h_source.html#l00084">MagparFunctionProfReturn</a>, <a class="el" href="griddata_8h_source.html#l00114">MU0</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, <a class="el" href="griddata_8h_source.html#l00097">NP</a>, <a class="el" href="helastic_8c_source.html#l00034">NPE</a>, <a class="el" href="griddata_8h_source.html#l00221">GridData::propdat</a>, and <a class="el" href="griddata_8h_source.html#l00182">GridData::vertprop</a>.</p>

<p>Referenced by <a class="el" href="htot_8c_source.html#l00055">Htot()</a>, and <a class="el" href="htot_8c_source.html#l00096">Htot_Gradient()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="helastic_8c_a97e3d5671797656fb91afa5e61778e74_cgraph.png" border="0" usemap="#helastic_8c_a97e3d5671797656fb91afa5e61778e74_cgraph_map" alt=""></div>
<map name="helastic_8c_a97e3d5671797656fb91afa5e61778e74_cgraph_map" id="helastic_8c_a97e3d5671797656fb91afa5e61778e74_cgraph">
<area shape="rect" id="node3" href="helastic_8c.html#a396340125882d5038a4dbdadc4468699" title="Helastic_Init" alt="" coords="124,5,217,35"/><area shape="rect" id="node5" href="helastic_8c.html#af12c767230bdb7467dd25210d5fefe50" title="ReadProp" alt="" coords="268,5,345,35"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="helastic_8c_a97e3d5671797656fb91afa5e61778e74_icgraph.png" border="0" usemap="#helastic_8c_a97e3d5671797656fb91afa5e61778e74_icgraph_map" alt=""></div>
<map name="helastic_8c_a97e3d5671797656fb91afa5e61778e74_icgraph_map" id="helastic_8c_a97e3d5671797656fb91afa5e61778e74_icgraph">
<area shape="rect" id="node3" href="htot_8c.html#ab9d30ce64708afeca163280386deb654" title="Htot" alt="" coords="124,210,169,241"/><area shape="rect" id="node38" href="htot_8c.html#a270a74fb6c65379e026cfb5c4de11443" title="Htot_Gradient" alt="" coords="220,301,321,331"/><area shape="rect" id="node5" href="llg_8h.html#aa814b25d7c7a65198ca75426fb6d7403" title="calc_dMdt" alt="" coords="229,118,312,149"/><area shape="rect" id="node9" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="1088,197,1147,227"/><area shape="rect" id="node34" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="932,90,1017,121"/><area shape="rect" id="node44" href="precond_8c.html#a8cdc0d7af89d96e9d57fc6c0f791331f" title="Precond" alt="" coords="236,197,305,227"/><area shape="rect" id="node7" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="911,143,1039,174"/><area shape="rect" id="node16" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="400,146,477,177"/><area shape="rect" id="node21" href="rhsfunction_8c.html#a5e964b5572e1640d9a793c353f6a28f6" title="RHSfunction" alt="" coords="392,93,485,123"/><area shape="rect" id="node13" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="1091,143,1144,174"/><area shape="rect" id="node11" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="1195,170,1245,201"/><area shape="rect" id="node18" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="556,301,681,331"/><area shape="rect" id="node23" href="mytscreatepvode_8c.html#a56b55de0386618edfef4220e5b7b078a" title="PVodeInit" alt="" coords="580,197,657,227"/><area shape="rect" id="node28" href="mytscreatepvode_8c.html#a4ca0e9d74cde3d8e01ad9701426444da" title="PVodeReInit" alt="" coords="572,93,665,123"/><area shape="rect" id="node25" href="mytscreatepvode_8c.html#a9671ea286af405e584ae7468a0ce15b3" title="myTSCreatePVode" alt="" coords="731,197,861,227"/><area shape="rect" id="node30" href="checkiterationllg_8c.html#a4ff7d0e1586041652124b1189f59b881" title="adjtol" alt="" coords="769,93,823,123"/><area shape="rect" id="node40" href="eminisolve_8c.html#afdcb9097ab9ba289da2189a2ce6b9385" title="TaoEvalEnergyGrad" alt="" coords="371,301,507,331"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a67380d67fc85c798265c8a83d73f5388"></a><!-- doxytag: member="helastic.c::Helastic_Energy" ref="a67380d67fc85c798265c8a83d73f5388" args="(GridData *gdata, Vec VMom, PetscReal *energy)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Helastic_Energy </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Vec&nbsp;</td>
          <td class="paramname"> <em>VMom</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>energy</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="helastic_8c_source.html#l00391">391</a> of file <a class="el" href="helastic_8c_source.html">helastic.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, <a class="el" href="griddata_8h_source.html#l00083">MagparFunctionInfoReturn</a>, and <a class="el" href="griddata_8h_source.html#l00084">MagparFunctionProfReturn</a>.</p>

<p>Referenced by <a class="el" href="htot_8c_source.html#l00176">CalcEnergy()</a>.</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="helastic_8c_a67380d67fc85c798265c8a83d73f5388_icgraph.png" border="0" usemap="#helastic_8c_a67380d67fc85c798265c8a83d73f5388_icgraph_map" alt=""></div>
<map name="helastic_8c_a67380d67fc85c798265c8a83d73f5388_icgraph_map" id="helastic_8c_a67380d67fc85c798265c8a83d73f5388_icgraph">
<area shape="rect" id="node3" href="htot_8c.html#a8ad42d15c17241a1313243ebd0d0ab11" title="CalcEnergy" alt="" coords="171,203,259,234"/><area shape="rect" id="node5" href="htot_8c.html#a23837f4926a3a0dc211d349e16a9df87" title="Htot_EminiEnergy" alt="" coords="307,177,432,207"/><area shape="rect" id="node7" href="htot_8c.html#a09d3a5bbcb3e65c1e4c7e22818377b13" title="Htot_Energy" alt="" coords="323,230,416,261"/><area shape="rect" id="node9" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="829,354,915,385"/><area shape="rect" id="node11" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="1165,197,1224,227"/><area shape="rect" id="node15" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="1027,302,1080,333"/><area shape="rect" id="node20" href="eminisolve_8c.html#afdcb9097ab9ba289da2189a2ce6b9385" title="TaoEvalEnergyGrad" alt="" coords="619,81,755,111"/><area shape="rect" id="node25" href="writelog__pid_8c.html#aa63307197e81d27990850ea179eb5187" title="WriteLogPid" alt="" coords="480,230,571,261"/><area shape="rect" id="node13" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="1272,223,1323,254"/><area shape="rect" id="node22" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="991,93,1116,123"/><area shape="rect" id="node27" href="writelog_8c.html#ad970cf1663bac1ede525a5caf43750fd" title="WriteLog" alt="" coords="651,230,723,261"/><area shape="rect" id="node29" href="checkiterationemini_8c.html#a1c9f3282235f811af60323611535e99b" title="CheckIterationEmini" alt="" coords="803,250,941,281"/><area shape="rect" id="node33" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="808,197,936,227"/><area shape="rect" id="node37" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="833,93,911,123"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a396340125882d5038a4dbdadc4468699"></a><!-- doxytag: member="helastic.c::Helastic_Init" ref="a396340125882d5038a4dbdadc4468699" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Helastic_Init </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="helastic_8c_source.html#l00105">105</a> of file <a class="el" href="helastic_8c_source.html">helastic.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00171">GridData::ln_vert</a>, <a class="el" href="griddata_8h_source.html#l00247">GridData::M</a>, <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, <a class="el" href="griddata_8h_source.html#l00220">GridData::n_prop</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, and <a class="el" href="helastic_8c_source.html#l00038">ReadProp()</a>.</p>

<p>Referenced by <a class="el" href="helastic_8c_source.html#l00186">Helastic()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="helastic_8c_a396340125882d5038a4dbdadc4468699_cgraph.png" border="0" usemap="#helastic_8c_a396340125882d5038a4dbdadc4468699_cgraph_map" alt=""></div>
<map name="helastic_8c_a396340125882d5038a4dbdadc4468699_cgraph_map" id="helastic_8c_a396340125882d5038a4dbdadc4468699_cgraph">
<area shape="rect" id="node3" href="helastic_8c.html#af12c767230bdb7467dd25210d5fefe50" title="ReadProp" alt="" coords="151,5,228,35"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="helastic_8c_a396340125882d5038a4dbdadc4468699_icgraph.png" border="0" usemap="#helastic_8c_a396340125882d5038a4dbdadc4468699_icgraph_map" alt=""></div>
<map name="helastic_8c_a396340125882d5038a4dbdadc4468699_icgraph_map" id="helastic_8c_a396340125882d5038a4dbdadc4468699_icgraph">
<area shape="rect" id="node3" href="helastic_8c.html#a97e3d5671797656fb91afa5e61778e74" title="Helastic" alt="" coords="149,249,219,279"/><area shape="rect" id="node5" href="htot_8c.html#ab9d30ce64708afeca163280386deb654" title="Htot" alt="" coords="268,210,313,241"/><area shape="rect" id="node40" href="htot_8c.html#a270a74fb6c65379e026cfb5c4de11443" title="Htot_Gradient" alt="" coords="364,301,465,331"/><area shape="rect" id="node7" href="llg_8h.html#aa814b25d7c7a65198ca75426fb6d7403" title="calc_dMdt" alt="" coords="373,118,456,149"/><area shape="rect" id="node11" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="1232,197,1291,227"/><area shape="rect" id="node36" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="1076,90,1161,121"/><area shape="rect" id="node46" href="precond_8c.html#a8cdc0d7af89d96e9d57fc6c0f791331f" title="Precond" alt="" coords="380,197,449,227"/><area shape="rect" id="node9" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="1055,143,1183,174"/><area shape="rect" id="node18" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="544,146,621,177"/><area shape="rect" id="node23" href="rhsfunction_8c.html#a5e964b5572e1640d9a793c353f6a28f6" title="RHSfunction" alt="" coords="536,93,629,123"/><area shape="rect" id="node15" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="1235,143,1288,174"/><area shape="rect" id="node13" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="1339,170,1389,201"/><area shape="rect" id="node20" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="700,301,825,331"/><area shape="rect" id="node25" href="mytscreatepvode_8c.html#a56b55de0386618edfef4220e5b7b078a" title="PVodeInit" alt="" coords="724,197,801,227"/><area shape="rect" id="node30" href="mytscreatepvode_8c.html#a4ca0e9d74cde3d8e01ad9701426444da" title="PVodeReInit" alt="" coords="716,93,809,123"/><area shape="rect" id="node27" href="mytscreatepvode_8c.html#a9671ea286af405e584ae7468a0ce15b3" title="myTSCreatePVode" alt="" coords="875,197,1005,227"/><area shape="rect" id="node32" href="checkiterationllg_8c.html#a4ff7d0e1586041652124b1189f59b881" title="adjtol" alt="" coords="913,93,967,123"/><area shape="rect" id="node42" href="eminisolve_8c.html#afdcb9097ab9ba289da2189a2ce6b9385" title="TaoEvalEnergyGrad" alt="" coords="515,301,651,331"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="af12c767230bdb7467dd25210d5fefe50"></a><!-- doxytag: member="helastic.c::ReadProp" ref="af12c767230bdb7467dd25210d5fefe50" args="(int n_prop)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int ReadProp </td>
          <td>(</td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>n_prop</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="helastic_8c_source.html#l00038">38</a> of file <a class="el" href="helastic_8c_source.html">helastic.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, and <a class="el" href="helastic_8c_source.html#l00034">NPE</a>.</p>

<p>Referenced by <a class="el" href="helastic_8c_source.html#l00105">Helastic_Init()</a>.</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="helastic_8c_af12c767230bdb7467dd25210d5fefe50_icgraph.png" border="0" usemap="#helastic_8c_af12c767230bdb7467dd25210d5fefe50_icgraph_map" alt=""></div>
<map name="helastic_8c_af12c767230bdb7467dd25210d5fefe50_icgraph_map" id="helastic_8c_af12c767230bdb7467dd25210d5fefe50_icgraph">
<area shape="rect" id="node3" href="helastic_8c.html#a396340125882d5038a4dbdadc4468699" title="Helastic_Init" alt="" coords="135,249,228,279"/><area shape="rect" id="node5" href="helastic_8c.html#a97e3d5671797656fb91afa5e61778e74" title="Helastic" alt="" coords="277,249,347,279"/><area shape="rect" id="node7" href="htot_8c.html#ab9d30ce64708afeca163280386deb654" title="Htot" alt="" coords="396,210,441,241"/><area shape="rect" id="node42" href="htot_8c.html#a270a74fb6c65379e026cfb5c4de11443" title="Htot_Gradient" alt="" coords="492,301,593,331"/><area shape="rect" id="node9" href="llg_8h.html#aa814b25d7c7a65198ca75426fb6d7403" title="calc_dMdt" alt="" coords="501,118,584,149"/><area shape="rect" id="node13" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="1360,197,1419,227"/><area shape="rect" id="node38" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="1204,90,1289,121"/><area shape="rect" id="node48" href="precond_8c.html#a8cdc0d7af89d96e9d57fc6c0f791331f" title="Precond" alt="" coords="508,197,577,227"/><area shape="rect" id="node11" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="1183,143,1311,174"/><area shape="rect" id="node20" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="672,146,749,177"/><area shape="rect" id="node25" href="rhsfunction_8c.html#a5e964b5572e1640d9a793c353f6a28f6" title="RHSfunction" alt="" coords="664,93,757,123"/><area shape="rect" id="node17" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="1363,143,1416,174"/><area shape="rect" id="node15" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="1467,170,1517,201"/><area shape="rect" id="node22" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="828,301,953,331"/><area shape="rect" id="node27" href="mytscreatepvode_8c.html#a56b55de0386618edfef4220e5b7b078a" title="PVodeInit" alt="" coords="852,197,929,227"/><area shape="rect" id="node32" href="mytscreatepvode_8c.html#a4ca0e9d74cde3d8e01ad9701426444da" title="PVodeReInit" alt="" coords="844,93,937,123"/><area shape="rect" id="node29" href="mytscreatepvode_8c.html#a9671ea286af405e584ae7468a0ce15b3" title="myTSCreatePVode" alt="" coords="1003,197,1133,227"/><area shape="rect" id="node34" href="checkiterationllg_8c.html#a4ff7d0e1586041652124b1189f59b881" title="adjtol" alt="" coords="1041,93,1095,123"/><area shape="rect" id="node44" href="eminisolve_8c.html#afdcb9097ab9ba289da2189a2ce6b9385" title="TaoEvalEnergyGrad" alt="" coords="643,301,779,331"/></map>
</div>
</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

